#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Sub
%define		pnam	Uplevel
Summary:	Sub::Uplevel - apparently run a function in a higher stack frame
Summary(pl.UTF-8):	Sub::Uplevel - pozorne uruchomienie funkcji w wyższej ramce stosu
Name:		perl-Sub-Uplevel
Version:	0.2800
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sub/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6c6a174861fd160e8d5871a86df00baf
URL:		http://search.cpan.org/dist/Sub-Uplevel/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.30
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.47}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sub::Uplevel Perl module is for apparent running a function in a
higher stack frame.  Like Tcl's uplevel() function, but not quite so
dangerous.

%description -l pl.UTF-8
Moduł Perla Sub::Uplevel umożliwia pozorne uruchomienie funkcji w
wyższej ramce stosu. Działa podobnie do funkcji uplevel() Tcl-a, lecz
nie jest tak niebezpieczny.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Sub/Uplevel.pm
%{_mandir}/man3/Sub::Uplevel.3pm*
%changelog
* Sun Jul 02 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Sub-Uplevel.git;a=log;h=master

* Sun Jul 02 2017 Jakub Bogusz <qboosh@pld-linux.org> 37ab617
- updated to 0.2800

* Wed Nov 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 1fe6a04
- updated to 0.2600

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> a795477
- updated to 0.25

* Fri May 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 1939fb2
- updated to 0.24

* Tue Dec 07 2010 Jakub Bogusz <qboosh@pld-linux.org> afb0868
- updated to 0.22, epoch 1

* Thu Oct 15 2009 amateja <amateja@pld-linux.org> a40553e
- updated to 0.2002

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> 39b0803
- up to 0.18

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9784bf8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a853f9f
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 6481c08
- updated to 0.14

* Thu Sep 21 2006 Elan Ruusamäe <glen@pld-linux.org> 16d8c19
- correct license, rel 2

* Thu Aug 24 2006 migo <migo@pld-linux.org> 75a2ca6
- up to 0.13

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 6e76009
- formatting

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> 69f5d41
- updated to 0.09

* Sat Jun 05 2004 radek <radek@pld-linux.org> ee3902d
- massive: unfold macros in name/summary & other unifications

* Fri May 07 2004 ankry <ankry@pld-linux.org> b799d2b
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 6511553
- fixed perl-devel BR

* Sun May 02 2004 ankry <ankry@pld-linux.org> 7e8d86e
- summary/desc

* Sat May 01 2004 ankry <ankry@pld-linux.org> d9f0d2c
- tests added, license fix

* Wed Feb 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 7da0e02
- s/no/nb/ in Summary langs

